Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: ChangeLog mysql-5.0.87.ebuild mysql-5.0.90.ebuild mysql-5.0.88.ebuild
Date: Sun, 31 Jan 2010 04:47:52
Message-Id: E1NbRim-00030d-Vu@stork.gentoo.org
1 robbat2 10/01/31 04:47:40
2
3 Modified: ChangeLog
4 Added: mysql-5.0.87.ebuild mysql-5.0.90.ebuild
5 mysql-5.0.88.ebuild
6 Log:
7 Version bumps (bugs #301185, #292241, #279493). Only 5.0.87 contains the Percona patchset, as no Percona patches have been released for 5.0.88 or 5.0.90.
8 (Portage version: 2.2_rc61/cvs/Linux x86_64)
9
10 Revision Changes Path
11 1.498 dev-db/mysql/ChangeLog
12
13 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.498&view=markup
14 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.498&content-type=text/plain
15 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.497&r2=1.498
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
20 retrieving revision 1.497
21 retrieving revision 1.498
22 diff -p -w -b -B -u -u -r1.497 -r1.498
23 --- ChangeLog 29 Nov 2009 18:13:17 -0000 1.497
24 +++ ChangeLog 31 Jan 2010 04:47:39 -0000 1.498
25 @@ -1,6 +1,16 @@
26 # ChangeLog for dev-db/mysql
27 -# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.497 2009/11/29 18:13:17 klausman Exp $
29 +# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
30 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.498 2010/01/31 04:47:39 robbat2 Exp $
31 +
32 +*mysql-5.0.90 (31 Jan 2010)
33 +*mysql-5.0.88 (31 Jan 2010)
34 +*mysql-5.0.87 (31 Jan 2010)
35 +
36 + 31 Jan 2010; Robin H. Johnson <robbat2@g.o> +mysql-5.0.87.ebuild,
37 + +mysql-5.0.88.ebuild, +mysql-5.0.90.ebuild:
38 + Version bumps (bugs #301185, #292241, #279493). Only 5.0.87 contains the
39 + Percona patchset, as no Percona patches have been released for 5.0.88 or
40 + 5.0.90.
41
42 29 Nov 2009; Tobias Klausmann <klausman@g.o>
43 mysql-5.0.84-r1.ebuild:
44
45
46
47 1.1 dev-db/mysql/mysql-5.0.87.ebuild
48
49 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.87.ebuild?rev=1.1&view=markup
50 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.87.ebuild?rev=1.1&content-type=text/plain
51
52 Index: mysql-5.0.87.ebuild
53 ===================================================================
54 # Copyright 1999-2010 Gentoo Foundation
55 # Distributed under the terms of the GNU General Public License v2
56 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.87.ebuild,v 1.1 2010/01/31 04:47:39 robbat2 Exp $
57
58 MY_EXTRAS_VER="20100131-0301Z"
59 EAPI=2
60
61 inherit toolchain-funcs mysql
62 # only to make repoman happy. it is really set in the eclass
63 IUSE="$IUSE"
64
65 # Define the mysql-extras source
66 EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/mysql-extras.git"
67
68 # REMEMBER: also update eclass/mysql*.eclass before committing!
69 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
70
71 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
72 EPATCH_EXCLUDE=''
73
74 DEPEND="|| ( >=sys-devel/gcc-4 >=sys-devel/gcc-apple-4 )"
75 RDEPEND=""
76
77 # Please do not add a naive src_unpack to this ebuild
78 # If you want to add a single patch, copy the ebuild to an overlay
79 # and create your own mysql-extras tarball, looking at 000_index.txt
80
81 # Official test instructions:
82 # USE='berkdb cluster embedded extraengine perl ssl community' \
83 # FEATURES='test userpriv -usersandbox' \
84 # ebuild mysql-X.X.XX.ebuild \
85 # digest clean package
86 src_test() {
87 # Bug #213475 - MySQL _will_ object strenously if your machine is named
88 # localhost. Also causes weird failures.
89 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
90
91 emake check || die "make check failed"
92 if ! use "minimal" ; then
93 if [[ $UID -eq 0 ]]; then
94 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
95 fi
96 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
97 cd "${S}"
98 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
99 local retstatus1
100 local retstatus2
101 local t
102 addpredict /this-dir-does-not-exist/t9.MYI
103
104 # Ensure that parallel runs don't die
105 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
106
107 # archive_gis really sucks a lot, but it's only relevant for the
108 # USE=extraengines case
109 case ${PV} in
110 5.0.42)
111 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
112 ;;
113
114 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
115 [ "$(tc-endian)" == "big" ] && \
116 mysql_disable_test \
117 "archive_gis" \
118 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
119 ;;
120 esac
121
122 # This was a slight testcase breakage when the read_only security issue
123 # was fixed.
124 case ${PV} in
125 5.0.54|5.0.51*)
126 mysql_disable_test \
127 "read_only" \
128 "Broken in 5.0.51-54, output in wrong order"
129 ;;
130 esac
131
132 # Ditto to read_only
133 [ "${PV}" == "5.0.51a" ] && \
134 mysql_disable_test \
135 "view" \
136 "Broken in 5.0.51, output in wrong order"
137
138 # x86-specific, OOM issue with some subselects on low memory servers
139 [ "${PV}" == "5.0.54" ] && \
140 [ "${ARCH/x86}" != "${ARCH}" ] && \
141 mysql_disable_test \
142 "subselect" \
143 "Testcase needs tuning on x86 for oom condition"
144
145 # Broke with the YaSSL security issue that didn't affect Gentoo.
146 [ "${PV}" == "5.0.56" ] && \
147 for t in openssl_1 rpl_openssl rpl_ssl ssl \
148 ssl_8k_key ssl_compress ssl_connect ; do \
149 mysql_disable_test \
150 "$t" \
151 "OpenSSL tests broken on 5.0.56"
152 done
153
154 # New test was broken in first time
155 # Upstream bug 41066
156 # http://bugs.mysql.com/bug.php?id=41066
157 [ "${PV}" == "5.0.72" ] && \
158 mysql_disable_test \
159 "status2" \
160 "Broken in 5.0.72, new test is broken, upstream bug #41066"
161
162 # The entire 5.0 series has pre-generated SSL certificates, they have
163 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
164 # The certs really SHOULD be generated for the tests, so that they are
165 # not expiring like this. We cannot do so ourselves as the tests look
166 # closely as the cert path data, and we do not have the CA key to regen
167 # ourselves. Alternatively, upstream should generate them with at least
168 # 50-year validity.
169 #
170 # Known expiry points:
171 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
172 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
173 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
174 #
175 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
176 # expired/invalid.
177 case ${PV} in
178 5.0.*|5.1.*)
179 for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
180 ssl_compress ssl_connect ; do \
181 mysql_disable_test \
182 "$t" \
183 "These OpenSSL tests break due to expired certificates"
184 done
185 ;;
186 esac
187
188 # create directories because mysqladmin might right out of order
189 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
190
191 # We run the test protocols seperately
192 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
193 retstatus1=$?
194 [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
195 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
196
197 make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
198 retstatus2=$?
199 [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
200 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
201
202 # Cleanup is important for these testcases.
203 pkill -9 -f "${S}/ndb" 2>/dev/null
204 pkill -9 -f "${S}/sql" 2>/dev/null
205 failures=""
206 [[ $retstatus1 -eq 0 ]] || failures="test-ns"
207 [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
208 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
209 [[ -z "$failures" ]] || die "Test failures: $failures"
210 einfo "Tests successfully completed"
211 else
212 einfo "Skipping server tests due to minimal build."
213 fi
214 }
215
216
217
218 1.1 dev-db/mysql/mysql-5.0.90.ebuild
219
220 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.90.ebuild?rev=1.1&view=markup
221 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.90.ebuild?rev=1.1&content-type=text/plain
222
223 Index: mysql-5.0.90.ebuild
224 ===================================================================
225 # Copyright 1999-2010 Gentoo Foundation
226 # Distributed under the terms of the GNU General Public License v2
227 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.90.ebuild,v 1.1 2010/01/31 04:47:39 robbat2 Exp $
228
229 MY_EXTRAS_VER="20100131-0301Z"
230 EAPI=2
231
232 inherit toolchain-funcs mysql
233 # only to make repoman happy. it is really set in the eclass
234 IUSE="$IUSE"
235
236 # Define the mysql-extras source
237 EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/mysql-extras.git"
238
239 # REMEMBER: also update eclass/mysql*.eclass before committing!
240 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
241
242 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
243 EPATCH_EXCLUDE=''
244
245 DEPEND="|| ( >=sys-devel/gcc-4 >=sys-devel/gcc-apple-4 )"
246 RDEPEND=""
247
248 # Please do not add a naive src_unpack to this ebuild
249 # If you want to add a single patch, copy the ebuild to an overlay
250 # and create your own mysql-extras tarball, looking at 000_index.txt
251
252 # Official test instructions:
253 # USE='berkdb cluster embedded extraengine perl ssl community' \
254 # FEATURES='test userpriv -usersandbox' \
255 # ebuild mysql-X.X.XX.ebuild \
256 # digest clean package
257 src_test() {
258 # Bug #213475 - MySQL _will_ object strenously if your machine is named
259 # localhost. Also causes weird failures.
260 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
261
262 emake check || die "make check failed"
263 if ! use "minimal" ; then
264 if [[ $UID -eq 0 ]]; then
265 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
266 fi
267 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
268 cd "${S}"
269 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
270 local retstatus1
271 local retstatus2
272 local t
273 addpredict /this-dir-does-not-exist/t9.MYI
274
275 # Ensure that parallel runs don't die
276 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
277
278 # archive_gis really sucks a lot, but it's only relevant for the
279 # USE=extraengines case
280 case ${PV} in
281 5.0.42)
282 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
283 ;;
284
285 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
286 [ "$(tc-endian)" == "big" ] && \
287 mysql_disable_test \
288 "archive_gis" \
289 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
290 ;;
291 esac
292
293 # This was a slight testcase breakage when the read_only security issue
294 # was fixed.
295 case ${PV} in
296 5.0.54|5.0.51*)
297 mysql_disable_test \
298 "read_only" \
299 "Broken in 5.0.51-54, output in wrong order"
300 ;;
301 esac
302
303 # Ditto to read_only
304 [ "${PV}" == "5.0.51a" ] && \
305 mysql_disable_test \
306 "view" \
307 "Broken in 5.0.51, output in wrong order"
308
309 # x86-specific, OOM issue with some subselects on low memory servers
310 [ "${PV}" == "5.0.54" ] && \
311 [ "${ARCH/x86}" != "${ARCH}" ] && \
312 mysql_disable_test \
313 "subselect" \
314 "Testcase needs tuning on x86 for oom condition"
315
316 # Broke with the YaSSL security issue that didn't affect Gentoo.
317 [ "${PV}" == "5.0.56" ] && \
318 for t in openssl_1 rpl_openssl rpl_ssl ssl \
319 ssl_8k_key ssl_compress ssl_connect ; do \
320 mysql_disable_test \
321 "$t" \
322 "OpenSSL tests broken on 5.0.56"
323 done
324
325 # New test was broken in first time
326 # Upstream bug 41066
327 # http://bugs.mysql.com/bug.php?id=41066
328 [ "${PV}" == "5.0.72" ] && \
329 mysql_disable_test \
330 "status2" \
331 "Broken in 5.0.72, new test is broken, upstream bug #41066"
332
333 # The entire 5.0 series has pre-generated SSL certificates, they have
334 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
335 # The certs really SHOULD be generated for the tests, so that they are
336 # not expiring like this. We cannot do so ourselves as the tests look
337 # closely as the cert path data, and we do not have the CA key to regen
338 # ourselves. Alternatively, upstream should generate them with at least
339 # 50-year validity.
340 #
341 # Known expiry points:
342 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
343 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
344 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
345 #
346 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
347 # expired/invalid.
348 case ${PV} in
349 5.0.*|5.1.*)
350 for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
351 ssl_compress ssl_connect ; do \
352 mysql_disable_test \
353 "$t" \
354 "These OpenSSL tests break due to expired certificates"
355 done
356 ;;
357 esac
358
359 # create directories because mysqladmin might right out of order
360 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
361
362 # We run the test protocols seperately
363 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
364 retstatus1=$?
365 [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
366 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
367
368 make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
369 retstatus2=$?
370 [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
371 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
372
373 # Cleanup is important for these testcases.
374 pkill -9 -f "${S}/ndb" 2>/dev/null
375 pkill -9 -f "${S}/sql" 2>/dev/null
376 failures=""
377 [[ $retstatus1 -eq 0 ]] || failures="test-ns"
378 [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
379 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
380 [[ -z "$failures" ]] || die "Test failures: $failures"
381 einfo "Tests successfully completed"
382 else
383 einfo "Skipping server tests due to minimal build."
384 fi
385 }
386
387
388
389 1.1 dev-db/mysql/mysql-5.0.88.ebuild
390
391 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.88.ebuild?rev=1.1&view=markup
392 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.88.ebuild?rev=1.1&content-type=text/plain
393
394 Index: mysql-5.0.88.ebuild
395 ===================================================================
396 # Copyright 1999-2010 Gentoo Foundation
397 # Distributed under the terms of the GNU General Public License v2
398 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.88.ebuild,v 1.1 2010/01/31 04:47:39 robbat2 Exp $
399
400 MY_EXTRAS_VER="20100131-0301Z"
401 EAPI=2
402
403 inherit toolchain-funcs mysql
404 # only to make repoman happy. it is really set in the eclass
405 IUSE="$IUSE"
406
407 # Define the mysql-extras source
408 EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/mysql-extras.git"
409
410 # REMEMBER: also update eclass/mysql*.eclass before committing!
411 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
412
413 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
414 EPATCH_EXCLUDE=''
415
416 DEPEND="|| ( >=sys-devel/gcc-4 >=sys-devel/gcc-apple-4 )"
417 RDEPEND=""
418
419 # Please do not add a naive src_unpack to this ebuild
420 # If you want to add a single patch, copy the ebuild to an overlay
421 # and create your own mysql-extras tarball, looking at 000_index.txt
422
423 # Official test instructions:
424 # USE='berkdb cluster embedded extraengine perl ssl community' \
425 # FEATURES='test userpriv -usersandbox' \
426 # ebuild mysql-X.X.XX.ebuild \
427 # digest clean package
428 src_test() {
429 # Bug #213475 - MySQL _will_ object strenously if your machine is named
430 # localhost. Also causes weird failures.
431 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
432
433 emake check || die "make check failed"
434 if ! use "minimal" ; then
435 if [[ $UID -eq 0 ]]; then
436 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
437 fi
438 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
439 cd "${S}"
440 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
441 local retstatus1
442 local retstatus2
443 local t
444 addpredict /this-dir-does-not-exist/t9.MYI
445
446 # Ensure that parallel runs don't die
447 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
448
449 # archive_gis really sucks a lot, but it's only relevant for the
450 # USE=extraengines case
451 case ${PV} in
452 5.0.42)
453 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
454 ;;
455
456 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
457 [ "$(tc-endian)" == "big" ] && \
458 mysql_disable_test \
459 "archive_gis" \
460 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
461 ;;
462 esac
463
464 # This was a slight testcase breakage when the read_only security issue
465 # was fixed.
466 case ${PV} in
467 5.0.54|5.0.51*)
468 mysql_disable_test \
469 "read_only" \
470 "Broken in 5.0.51-54, output in wrong order"
471 ;;
472 esac
473
474 # Ditto to read_only
475 [ "${PV}" == "5.0.51a" ] && \
476 mysql_disable_test \
477 "view" \
478 "Broken in 5.0.51, output in wrong order"
479
480 # x86-specific, OOM issue with some subselects on low memory servers
481 [ "${PV}" == "5.0.54" ] && \
482 [ "${ARCH/x86}" != "${ARCH}" ] && \
483 mysql_disable_test \
484 "subselect" \
485 "Testcase needs tuning on x86 for oom condition"
486
487 # Broke with the YaSSL security issue that didn't affect Gentoo.
488 [ "${PV}" == "5.0.56" ] && \
489 for t in openssl_1 rpl_openssl rpl_ssl ssl \
490 ssl_8k_key ssl_compress ssl_connect ; do \
491 mysql_disable_test \
492 "$t" \
493 "OpenSSL tests broken on 5.0.56"
494 done
495
496 # New test was broken in first time
497 # Upstream bug 41066
498 # http://bugs.mysql.com/bug.php?id=41066
499 [ "${PV}" == "5.0.72" ] && \
500 mysql_disable_test \
501 "status2" \
502 "Broken in 5.0.72, new test is broken, upstream bug #41066"
503
504 # The entire 5.0 series has pre-generated SSL certificates, they have
505 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
506 # The certs really SHOULD be generated for the tests, so that they are
507 # not expiring like this. We cannot do so ourselves as the tests look
508 # closely as the cert path data, and we do not have the CA key to regen
509 # ourselves. Alternatively, upstream should generate them with at least
510 # 50-year validity.
511 #
512 # Known expiry points:
513 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
514 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
515 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
516 #
517 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
518 # expired/invalid.
519 case ${PV} in
520 5.0.*|5.1.*)
521 for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
522 ssl_compress ssl_connect ; do \
523 mysql_disable_test \
524 "$t" \
525 "These OpenSSL tests break due to expired certificates"
526 done
527 ;;
528 esac
529
530 # create directories because mysqladmin might right out of order
531 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
532
533 # We run the test protocols seperately
534 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
535 retstatus1=$?
536 [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
537 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
538
539 #make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
540 #retstatus2=$?
541 retstatus2=0
542 [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
543 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
544
545 # Cleanup is important for these testcases.
546 pkill -9 -f "${S}/ndb" 2>/dev/null
547 pkill -9 -f "${S}/sql" 2>/dev/null
548 failures=""
549 [[ $retstatus1 -eq 0 ]] || failures="test-ns"
550 [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
551 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
552 [[ -z "$failures" ]] || die "Test failures: $failures"
553 einfo "Tests successfully completed"
554 else
555 einfo "Skipping server tests due to minimal build."
556 fi
557 }